Bug 165212 - [ath] No WiFi on Acer Aspire One 751h (Atheros AR5BHB63 & AR5B95)
Summary: [ath] No WiFi on Acer Aspire One 751h (Atheros AR5BHB63 & AR5B95)
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: wireless (show other bugs)
Version: Unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-wireless (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-16 20:10 UTC by Dave Mischler
Modified: 2018-05-28 19:50 UTC (History)
0 users

See Also:


Attachments
messages (182.30 KB, text/plain)
2012-02-20 19:54 UTC, Dave Mischler
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Mischler 2012-02-16 20:10:09 UTC
Nothing is ever received by ath0 on an Acer Aspire One A0751h-1279 under 8.2, 9.0-RELEASE, 9.0-STABLE or 10.0-CURRENT.  It works on Ubuntu-10.10 (only version I tried).  I also tried an AR5B95 card, and had the same results (works on Ubuntu, not on FreeBSD).

I had the PCI mapping problem under 8.2 (see
http://lists.freebsd.org/pipermail/freebsd-mobile/2011-June/012364.html for more info).  I discussed this matter on freebsd-wireless starting with
http://docs.freebsd.org/cgi/getmsg.cgi?fetch=87215+0+archive/2012/freebsd-wireless/20120212.freebsd-wireless

Here is what shows up in dmesg.today for ath0 with the AR5BHB63
installed:

ath0: <Atheros 5424/2424> mem 0xd0000000-0xd000ffff irq 17 at device 0.0
on pci3
ath0: AR2425 mac 14.2 RF5424 phy 7.0

and this is what shows up from pciconf -lv:

ath0@pci0:3:0:0:	class=0x020000 card=0xe00d105b chip=0x001c168c rev=0x01
hdr=0x00
    vendor     = 'Atheros Communications Inc.'
    device     = 'AR242x / AR542x Wireless Network Adapter
(PCI-Express)'
    class      = network
    subclass   = ethernet

I boot the system and run the following commands and never get any
responses:

ifconfig wlan0 create wlandev ath0
ifconfig wlan0 up scan
ifconfig wlan0 list scan

How-To-Repeat: Try to connect to a WiFi network with an Acer Aspire One A0751h-1279 netbook running FreeBSD 8.2 or later.
Comment 1 Adrian Chadd freebsd_committer 2012-02-20 13:19:43 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-wireless

Reassign
Comment 2 Adrian Chadd freebsd_committer 2012-02-20 13:24:42 UTC
Hi,

Let's see if you're actually _getting_ interrupts.

sysctl dev.ath.0.debug=0x1000
sysctl hw.ath.hal.debug=0x80000

.. then let's see what is logged in dmesg.


Adrian
Comment 3 Dave Mischler 2012-02-20 19:54:49 UTC
> Let's see if you're actually _getting_ interrupts.
>  
>  sysctl dev.ath.0.debug=0x1000
>  sysctl hw.ath.hal.debug=0x80000
>  
>  .. then let's see what is logged in dmesg.

OK.  I've attached a log that includes the whole boot process and almost
a minute of bringing up the interface and letting it scan.  I wouldn't
normally dump this much log on you but I'm not sure exactly what you
might need to see.
Comment 4 Dave Mischler 2012-02-20 20:16:18 UTC
> can you attach this to the PR too?

OK.  I tried to attach the previous message, too, but I assume the
system was unhappy with the 180KB+ log file.

> There's no errors here, it's just not RX'ing anything.
> 
> Is there an rfkill switch/button? (ie, some button that
> enables/disables wifi?) It may be a function switch?

There is such a switch.  I have tried playing with it under FreeBSD,
and got nowhere.  I don't seem to have to touch it under Ubuntu (or
maybe I only had to use it once).

>  Have you loaded
> the relevant ACPI module for your laptop (which sometimes maps the
> rfkill line to ACPI somehow, I don't know the real details.)

Other than having FreeBSD try to use ACPI, I don't know anything about this.
This appears in the boot log, and might be relevant:

Feb 20 16:11:25 halfpint kernel: acpi0: <ACRSYS ACRPRDCT> on motherboard
Feb 20 16:11:25 halfpint kernel: ACPI Error: Could not enable PowerButton event (20120215/evxfevnt-217)
Feb 20 16:11:25 halfpint kernel: ACPI Warning: Could not enable fixed event 0x2 (20120215/evxface-575)
Feb 20 16:11:25 halfpint kernel: acpi0: Power Button (fixed)
Feb 20 16:11:25 halfpint kernel: acpi0: reservation of 3f800000, 70800000 (3) failed
Feb 20 16:11:25 halfpint kernel: cpu0: <ACPI CPU> on acpi0
Feb 20 16:11:25 halfpint kernel: cpu1: <ACPI CPU> on acpi0

How do I find out if there is an ACPI module available, and if so, how to load
and enable it?  When I got this netbook it had a dead hard disk (i.e. no software),
and no useful documentation.  I have downloaded the available user and quick start
guides from Acer but I don't see much useful info.
Comment 5 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:50:19 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.